#ifndef _GAME_
#define _GAME_

// ------ Includes -----

#include "board.h"
#include "pieces.h"
#include "IO.h"
#include <time.h>

// ------ Defines -----

#define WAIT_TIME 700           // Number of milliseconds that the piece remains before going 1 block down */ 


// --------------------------------------------------------------------------------
//                                   Game
// --------------------------------------------------------------------------------

class Game
{
public:

	Game(Board *board, Pieces *pieces, IO *IO, int screenHeight);

	void DrawScene();
	void CreateNewPiece();

	int mPosX, mPosY;               // Position of the piece that is falling down
	int mPiece, mRotation;          // Kind and rotation the piece that is falling down

private:

	int mScreenHeight;              // Screen height in pixels
	int mNextPosX, mNextPosY;       // Position of the next piece
	int mNextPiece, mNextRotation;  // Kind and rotation of the next piece

	Board *mBoard;
	Pieces *mPieces;
	IO *mIO;

	int GetRand(int A, int B);
	void InitGame();
	void DrawPiece(int X, int Y, int Piece, int Rotation);
	void DrawBoard();
};

#endif // _GAME_